name: food_delivery_client
description: "A new Flutter project"
version: 1.0.0+1

environment:
  sdk: ^3.9.0

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter

  cupertino_icons: ^1.0.8
  #navigation
  go_router: ^16.2.5

  #helpers
  intl: ^0.20.2
  flutter_bounceable: ^1.2.0
  cached_network_image: ^3.4.1
  carousel_slider: ^5.1.1
  equatable: ^2.0.7
  dartz: ^0.10.1
  mask_text_input_formatter: ^2.9.0
  pinput: ^5.0.2

  #for notify user about error or success
  toastification: ^3.0.3

  #DI
  get_it: ^8.2.0
  injectable: ^2.5.2
  injectable_generator: ^2.9.0

  #network
  dio: ^5.9.0



  #to use svgs
  flutter_svg: ^2.2.1

  #storage
  shared_preferences: ^2.5.3


  #state_manegement
  bloc: ^9.1.0
  flutter_bloc: ^9.1.1
  freezed: ^3.2.3
  freezed_annotation: ^3.1.0

  #loading:
  skeletonizer: ^2.1.0+1

  #Icon launcher
  icons_launcher: ^3.0.3

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^5.0.0
  build_runner: ^2.10.0

icons_launcher:
  image_path: "assets/images/logo.png"
  platforms:
    android:
      enable: true
    ios:
      enable: true

flutter:
  generate: true
  uses-material-design: true


  assets:
    - assets/images/
    - assets/icons/
    - assets/fonts/
    - assets/translations/
    - assets/icons/light/
    - assets/icons/dark/
    - assets/icons/common/

  fonts:
    - family: fontBlack
      fonts:
        - asset: assets/fonts/DMSans-Black.ttf
          weight: 900
    - family: fontBold
      fonts:
        - asset: assets/fonts/DMSans-Bold.ttf
          weight: 700
    - family: fontSemiBold
      fonts:
        - asset: assets/fonts/DMSans-SemiBold.ttf
          weight: 600
    - family: fontMedium
      fonts:
        - asset: assets/fonts/DMSans-Medium.ttf
          weight: 500
    - family: fontRegular
      fonts:
        - asset: assets/fonts/DMSans-Regular.ttf
          weight: 400
    - family: fontLight
      fonts:
        - asset: assets/fonts/DMSans-Regular.ttf
          weight: 300


